import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, s) : t, l = c.length - 1, o; l >= 0; l--)
    (o = c[l]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && g(t, s, e), e;
};
let i = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--giftFilledLarge", this.class = "c-pieIcon c-pieIcon--giftFilledLarge", this.name = "IconGiftFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--giftFilledLarge"><path d="M16.832 28.215h7.043A2.633 2.633 0 0 0 26.5 25.59V14.215h-9.669z"></path><path d="M5.5 25.59a2.633 2.633 0 0 0 2.625 2.625h6.956v-14H5.5z"></path><path d="M16.849 8.09v-.017a3.064 3.064 0 0 1 3.01-2.538c.175 0 .35.026.525.053v-1.75c-.175-.018-.341-.053-.525-.053a4.8 4.8 0 0 0-3.894 1.995 4.8 4.8 0 0 0-3.894-1.995c-.149 0-.288.026-.437.044v1.75c.149-.018.288-.044.437-.044a3.06 3.06 0 0 1 3.01 2.538v.017H3.75v4.375h11.331V8.081h1.75v4.375H28.25V8.09z"></path></svg>`;
  }
};
p([
  a({ type: String, reflect: !0 })
], i.prototype, "size", 2);
p([
  a({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = p([
  f("icon-gift-filled-large")
], i);
export {
  i as IconGiftFilledLarge
};
